Package ru.bitel.bgbilling.kernel.contract.api.common.bean.customer

# Class Customer

java.lang.Object
ru.bitel.bgbilling.kernel.contract.api.common.bean.customer.Customer

    public class Customer
    extends java.lang.Object

Набор перечислений ключей для работы с кастомерами. Включает в себя: `Customer.CustomerType` типа кастомера. Юрик или физик `Customer.CustomerFiz` - описание полей физ.лиц `Customer.CustomerJur` - описание полей юр.лиц `Customer.CustomerFizDocument` - поля документа физ.лица `Customer.Bank` - поля банка для юр.лиц `Customer.Director` - поля руководителя юр.лица

- ## Nested Class Summary

  Nested Classes
  Modifier and Type | Class | Description
  --- | --- | ---
  `static class` | `Customer.Bank` |
  `static class` | `Customer.CustomerFiz` |
  `static class` | `Customer.CustomerFizDocument` |
  `static class` | `Customer.CustomerJur` |
  `static class` | `Customer.CustomerType` |
  `static class` | `Customer.Director` |

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `Customer()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `static <T> T` | `define​(java.lang.String key, java.lang.Class<T> enumWithKey)` | По ключу определяет значение какого-либо значения из наборов ключей
  `int` | `getContractCount()` |
  `Customer.CustomerType` | `getCustomerType()` |
  `java.lang.String` | `getData()` |
  `int` | `getId()` |
  `void` | `setContractCount​(int contractCount)` |
  `void` | `setCustomerType​(Customer.CustomerType customerType)` |
  `void` | `setData​(java.lang.String data)` |
  `void` | `setId​(int id)` |

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Customer

    public Customer()

- ## Method Details

  - ### getId

    public int getId()

  - ### setId

    public void setId​(int id)

  - ### getCustomerType

    public Customer.CustomerType getCustomerType()

  - ### setCustomerType

    public void setCustomerType​(Customer.CustomerType customerType)

  - ### getData

    public java.lang.String getData()

  - ### setData

    public void setData​(java.lang.String data)

  - ### getContractCount

    public int getContractCount()

  - ### setContractCount

    public void setContractCount​(int contractCount)

  - ### define

    public static <T> T define​(java.lang.String key, java.lang.Class<T> enumWithKey)
    По ключу определяет значение какого-либо значения из наборов ключей
    Type Parameters:
      `T` - тип возвращаемого значения
    Parameters:
      `key` - ключ для поиска
      `enumWithKey` - тип enum'a в котором по ключу будем искать
    Returns:
      значение, если было найдёно в заданном перечислении